Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class StaticFieldsManager.StaticField

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.StaticFieldsManager.StaticField

Enclosing class:
  StaticFieldsManager

public static class StaticFieldsManager.StaticField
extends java.lang.Object

Constructor Summary
`StaticFieldsManager.StaticField(java.lang.String type, java.lang.String name, java.lang.String value)`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticFieldsManager.StaticField

    public StaticFieldsManager.StaticField(java.lang.String type,
                                           java.lang.String name,
                                           java.lang.String value)

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getValue

    public java.lang.String getValue()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.